Tar.TarLongFileMode (Apache Ant API)
Date: 2013-12-23

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Tar.TarLongFileMode

    java.lang.Object
      org.apache.tools.ant.types.EnumeratedAttribute
          org.apache.tools.ant.taskdefs.Tar.TarLongFileMode

Enclosing class:
  Tar

    public static class Tar.TarLongFileMode

extends EnumeratedAttribute

Set of options for long file handling in the task.

Field Summary
`static java.lang.String` | `FAIL` permissible values for longfile attribute
`static java.lang.String` | `GNU` permissible values for longfile attribute
`static java.lang.String` | `OMIT` permissible values for longfile attribute
`static java.lang.String` | `POSIX` permissible values for longfile attribute
`static java.lang.String` | `TRUNCATE` permissible values for longfile attribute
`static java.lang.String` | `WARN` permissible values for longfile attribute

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`Tar.TarLongFileMode()` Constructor, defaults to "warn"

Method Summary
`java.lang.String[]` | `getValues()` This is the only method a subclass needs to implement.
`boolean` | `isFailMode()`
`boolean` | `isGnuMode()`
`boolean` | `isOmitMode()`
`boolean` | `isPosixMode()`
`boolean` | `isTruncateMode()`
`boolean` | `isWarnMode()`

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### WARN

    public static final java.lang.String WARN

  permissible values for longfile attribute

  See Also:
    Constant Field Values

### FAIL

    public static final java.lang.String FAIL

  permissible values for longfile attribute

  See Also:
    Constant Field Values

### TRUNCATE

    public static final java.lang.String TRUNCATE

  permissible values for longfile attribute

  See Also:
    Constant Field Values

### GNU

    public static final java.lang.String GNU

  permissible values for longfile attribute

  See Also:
    Constant Field Values

### POSIX

    public static final java.lang.String POSIX

  permissible values for longfile attribute

  See Also:
    Constant Field Values

### OMIT

    public static final java.lang.String OMIT

  permissible values for longfile attribute

  See Also:
    Constant Field Values

Constructor Detail

### Tar.TarLongFileMode

    public Tar.TarLongFileMode()

  Constructor, defaults to "warn"

Method Detail

### getValues

    public java.lang.String[] getValues()

  Description copied from class: `EnumeratedAttribute`
  This is the only method a subclass needs to implement.

  Specified by:
    `getValues` in class `EnumeratedAttribute`
  Returns:
    the possible values for this enumerated type.

### isTruncateMode

    public boolean isTruncateMode()

  Returns:
    true if value is "truncate".

### isWarnMode

    public boolean isWarnMode()

  Returns:
    true if value is "warn".

### isGnuMode

    public boolean isGnuMode()

  Returns:
    true if value is "gnu".

### isFailMode

    public boolean isFailMode()

  Returns:
    true if value is "fail".

### isOmitMode

    public boolean isOmitMode()

  Returns:
    true if value is "omit".

### isPosixMode

    public boolean isPosixMode()

  Returns:
    true if value is "posix".

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD